package cn.com.qmth.examcloud.core.reports.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.examcloud.core.reports.api.bean.ExamDataReportBean;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.examcloud.core.reports.dao.ExamDataReportRepo;
import cn.com.qmth.examcloud.core.reports.dao.entity.ExamDataReportEntity;
import cn.com.qmth.examcloud.core.reports.service.ExamDataReportService;

@Service
public class ExamDataReportServiceImpl implements ExamDataReportService {
	@Autowired
	private ExamDataReportRepo examDataReportRepo;

	@Transactional
	@Override
	public void saveExamDataReportList(List<ExamDataReportBean> beans) {
		List<ExamDataReportEntity> list=new ArrayList<ExamDataReportEntity>();
		for(ExamDataReportBean bean:beans) {
			ExamDataReportEntity e=new ExamDataReportEntity();
			BeanUtils.copyProperties(bean, e);
			e.setPartitionData(StringUtils.join(bean.getPartitionData().toArray(), ","));
			list.add(e);
		}
		examDataReportRepo.saveAll(list);
	}


}
