package cn.com.qmth.examcloud.core.reports.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.examcloud.core.reports.api.bean.CourseDataReportBean;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.examcloud.core.reports.dao.CourseDataReportRepo;
import cn.com.qmth.examcloud.core.reports.dao.entity.CourseDataReportEntity;
import cn.com.qmth.examcloud.core.reports.service.CourseDataReportService;

@Service
public class CourseDataReportServiceImpl implements CourseDataReportService {
	@Autowired
	private CourseDataReportRepo courseDataReportRepo;

	@Transactional
	@Override
	public void saveCourseDataReportList(List<CourseDataReportBean> beans) {
		List<CourseDataReportEntity> list=new ArrayList<CourseDataReportEntity>();
		for(CourseDataReportBean bean:beans) {
			CourseDataReportEntity e=new CourseDataReportEntity();
			BeanUtils.copyProperties(bean, e);
			e.setPartitionData(StringUtils.join(bean.getPartitionData().toArray(), ","));
			list.add(e);
		}
		courseDataReportRepo.saveAll(list);
	}


}
